import React from "react";
import { Dropdown } from "semantic-ui-react";

export const countryOptions = [
  { text: "Afghanistan", value: "Afghanistan", key: "af", flag: "af" },
  { text: "Aland Islands", value: "Aland Islands", key: "ax", flag: "ax" },
  { text: "Albania", value: "Albania", key: "al", flag: "al" },
  { text: "Algeria", value: "Algeria", key: "dz", flag: "dz" },
  { text: "American Samoa", value: "American Samoa", key: "as", flag: "as" },
  { text: "Andorra", value: "Andorra", key: "ad", flag: "ad" },
  { text: "Angola", value: "Angola", key: "ao", flag: "ao" },
  { text: "Anguilla", value: "Anguilla", key: "ai", flag: "ai" },
  { text: "Antigua", value: "Antigua", key: "ag", flag: "ag" },
  { text: "Argentina", value: "Argentina", key: "ar", flag: "ar" },
  { text: "Armenia", value: "Armenia", key: "am", flag: "am" },
  { text: "Aruba", value: "Aruba", key: "aw", flag: "aw" },
  { text: "Australia", value: "Australia", key: "au", flag: "au" },
  { text: "Austria", value: "Austria", key: "at", flag: "at" },
  { text: "Azerbaijan", value: "Azerbaijan", key: "az", flag: "az" },
  { text: "Bahamas", value: "Bahamas", key: "bs", flag: "bs" },
  { text: "Bahrain", value: "Bahrain", key: "bh", flag: "bh" },
  { text: "Bangladesh", value: "Bangladesh", key: "bd", flag: "bd" },
  { text: "Barbados", value: "Barbados", key: "bb", flag: "bb" },
  { text: "Belarus", value: "Belarus", key: "by", flag: "by" },
  { text: "Belgium", value: "Belgium", key: "be", flag: "be" },
  { text: "Belize", value: "Belize", key: "bz", flag: "bz" },
  { text: "Benin", value: "Benin", key: "bj", flag: "bj" },
  { text: "Bermuda", value: "Bermuda", key: "bm", flag: "bm" },
  { text: "Bhutan", value: "Bhutan", key: "bt", flag: "bt" },
  { text: "Bolivia", value: "Bolivia", key: "bo", flag: "bo" },
  { text: "Bosnia", value: "Bosnia", key: "ba", flag: "ba" },
  { text: "Botswana", value: "Botswana", key: "bw", flag: "bw" },
  { text: "Bouvet Island", value: "Bouvet Island", key: "bv", flag: "bv" },
  { text: "Brazil", value: "Brazil", key: "br", flag: "br" },
  {
    text: "British Virgin Islands",
    value: "British Virgin Islands",
    key: "vg",
    flag: "vg"
  },
  { text: "Brunei", value: "Brunei", key: "bn", flag: "bn" },
  { text: "Bulgaria", value: "Bulgaria", key: "bg", flag: "bg" },
  { text: "Burkina Faso", value: "Burkina Faso", key: "bf", flag: "bf" },
  { text: "Burma", value: "Burma", key: "mm", flag: "mm", alias: "Myanmar" },
  { text: "Burundi", value: "Burundi", key: "bi", flag: "bi" },
  { text: "Caicos Islands", value: "Caicos Islands", key: "tc", flag: "tc" },
  { text: "Cambodia", value: "Cambodia", key: "kh", flag: "kh" },
  { text: "Cameroon", value: "Cameroon", key: "cm", flag: "cm" },
  { text: "Canada", value: "Canada", key: "ca", flag: "ca" },
  { text: "Cape Verde", value: "Cape Verde", key: "cv", flag: "cv" },
  { text: "Cayman Islands", value: "Cayman Islands", key: "ky", flag: "ky" },
  {
    text: "Central African Republic",
    value: "Central African Republic",
    key: "cf",
    flag: "cf"
  },
  { text: "Chad", value: "Chad", key: "td", flag: "td" },
  { text: "Chile", value: "Chile", key: "cl", flag: "cl" },
  { text: "China", value: "China", key: "cn", flag: "cn" },
  {
    text: "Christmas Island",
    value: "Christmas Island",
    key: "cx",
    flag: "cx"
  },
  { text: "Cocos Islands", value: "Cocos Islands", key: "cc", flag: "cc" },
  { text: "Colombia", value: "Colombia", key: "co", flag: "co" },
  { text: "Comoros", value: "Comoros", key: "km", flag: "km" },
  { text: "Congo", value: "Congo", key: "cd", flag: "cd" },
  {
    text: "Congo Brazzaville",
    value: "Congo Brazzaville",
    key: "cg",
    flag: "cg"
  },
  { text: "Cook Islands", value: "Cook Islands", key: "ck", flag: "ck" },
  { text: "Costa Rica", value: "Costa Rica", key: "cr", flag: "cr" },
  { text: "Cote Divoire", value: "Cote Divoire", key: "ci", flag: "ci" },
  { text: "Croatia", value: "Croatia", key: "hr", flag: "hr" },
  { text: "Cuba", value: "Cuba", key: "cu", flag: "cu" },
  { text: "Cyprus", value: "Cyprus", key: "cy", flag: "cy" },
  { text: "Czech Republic", value: "Czech Republic", key: "cz", flag: "cz" },
  { text: "Denmark", value: "Denmark", key: "dk", flag: "dk" },
  { text: "Djibouti", value: "Djibouti", key: "dj", flag: "dj" },
  { text: "Dominica", value: "Dominica", key: "dm", flag: "dm" },
  {
    text: "Dominican Republic",
    value: "Dominican Republic",
    key: "do",
    flag: "do"
  },
  { text: "Ecuador", value: "Ecuador", key: "ec", flag: "ec" },
  { text: "Egypt", value: "Egypt", key: "eg", flag: "eg" },
  { text: "El Salvador", value: "El Salvador", key: "sv", flag: "sv" },
  {
    text: "Equatorial Guinea",
    value: "Equatorial Guinea",
    key: "gq",
    flag: "gq"
  },
  { text: "Eritrea", value: "Eritrea", key: "er", flag: "er" },
  { text: "Estonia", value: "Estonia", key: "ee", flag: "ee" },
  { text: "Ethiopia", value: "Ethiopia", key: "et", flag: "et" },
  { text: "Europeanunion", value: "Europeanunion", key: "eu", flag: "eu" },
  {
    text: "Falkland Islands",
    value: "Falkland Islands",
    key: "fk",
    flag: "fk"
  },
  { text: "Faroe Islands", value: "Faroe Islands", key: "fo", flag: "fo" },
  { text: "Fiji", value: "Fiji", key: "fj", flag: "fj" },
  { text: "Finland", value: "Finland", key: "fi", flag: "fi" },
  { text: "France", value: "France", key: "fr", flag: "fr" },
  { text: "French Guiana", value: "French Guiana", key: "gf", flag: "gf" },
  {
    text: "French Polynesia",
    value: "French Polynesia",
    key: "pf",
    flag: "pf"
  },
  {
    text: "French Territories",
    value: "French Territories",
    key: "tf",
    flag: "tf"
  },
  { text: "Gabon", value: "Gabon", key: "ga", flag: "ga" },
  { text: "Gambia", value: "Gambia", key: "gm", flag: "gm" },
  { text: "Georgia", value: "Georgia", key: "ge", flag: "ge" },
  { text: "Germany", value: "Germany", key: "de", flag: "de" },
  { text: "Ghana", value: "Ghana", key: "gh", flag: "gh" },
  { text: "Gibraltar", value: "Gibraltar", key: "gi", flag: "gi" },
  { text: "Greece", value: "Greece", key: "gr", flag: "gr" },
  { text: "Greenland", value: "Greenland", key: "gl", flag: "gl" },
  { text: "Grenada", value: "Grenada", key: "gd", flag: "gd" },
  { text: "Guadeloupe", value: "Guadeloupe", key: "gp", flag: "gp" },
  { text: "Guam", value: "Guam", key: "gu", flag: "gu" },
  { text: "Guatemala", value: "Guatemala", key: "gt", flag: "gt" },
  { text: "Guinea", value: "Guinea", key: "gn", flag: "gn" },
  { text: "Guinea-Bissau", value: "Guinea-Bissau", key: "gw", flag: "gw" },
  { text: "Guyana", value: "Guyana", key: "gy", flag: "gy" },
  { text: "Haiti", value: "Haiti", key: "ht", flag: "ht" },
  { text: "Heard Island", value: "Heard Island", key: "hm", flag: "hm" },
  { text: "Honduras", value: "Honduras", key: "hn", flag: "hn" },
  { text: "Hong Kong", value: "Hong Kong", key: "hk", flag: "hk" },
  { text: "Hungary", value: "Hungary", key: "hu", flag: "hu" },
  { text: "Iceland", value: "Iceland", key: "is", flag: "is" },
  { text: "India", value: "India", key: "in", flag: "in" },
  {
    text: "Indian Ocean Territory",
    value: "Indian Ocean Territory",
    key: "io",
    flag: "io"
  },
  { text: "Indonesia", value: "Indonesia", key: "id", flag: "id" },
  { text: "Iran", value: "Iran", key: "ir", flag: "ir" },
  { text: "Iraq", value: "Iraq", key: "iq", flag: "iq" },
  { text: "Ireland", value: "Ireland", key: "ie", flag: "ie" },
  { text: "Israel", value: "Israel", key: "il", flag: "il" },
  { text: "Italy", value: "Italy", key: "it", flag: "it" },
  { text: "Jamaica", value: "Jamaica", key: "jm", flag: "jm" },
  {
    text: "Jan Mayen",
    value: "Jan Mayen",
    key: "sj",
    flag: "sj",
    alias: "Svalbard"
  },
  { text: "Japan", value: "Japan", key: "jp", flag: "jp" },
  { text: "Jordan", value: "Jordan", key: "jo", flag: "jo" },
  { text: "Kazakhstan", value: "Kazakhstan", key: "kz", flag: "kz" },
  { text: "Kenya", value: "Kenya", key: "ke", flag: "ke" },
  { text: "Kiribati", value: "Kiribati", key: "ki", flag: "ki" },
  { text: "Kuwait", value: "Kuwait", key: "kw", flag: "kw" },
  { text: "Kyrgyzstan", value: "Kyrgyzstan", key: "kg", flag: "kg" },
  { text: "Laos", value: "Laos", key: "la", flag: "la" },
  { text: "Latvia", value: "Latvia", key: "lv", flag: "lv" },
  { text: "Lebanon", value: "Lebanon", key: "lb", flag: "lb" },
  { text: "Lesotho", value: "Lesotho", key: "ls", flag: "ls" },
  { text: "Liberia", value: "Liberia", key: "lr", flag: "lr" },
  { text: "Libya", value: "Libya", key: "ly", flag: "ly" },
  { text: "Liechtenstein", value: "Liechtenstein", key: "li", flag: "li" },
  { text: "Lithuania", value: "Lithuania", key: "lt", flag: "lt" },
  { text: "Luxembourg", value: "Luxembourg", key: "lu", flag: "lu" },
  { text: "Macau", value: "Macau", key: "mo", flag: "mo" },
  { text: "Macedonia", value: "Macedonia", key: "mk", flag: "mk" },
  { text: "Madagascar", value: "Madagascar", key: "mg", flag: "mg" },
  { text: "Malawi", value: "Malawi", key: "mw", flag: "mw" },
  { text: "Malaysia", value: "Malaysia", key: "my", flag: "my" },
  { text: "Maldives", value: "Maldives", key: "mv", flag: "mv" },
  { text: "Mali", value: "Mali", key: "ml", flag: "ml" },
  { text: "Malta", value: "Malta", key: "mt", flag: "mt" },
  {
    text: "Marshall Islands",
    value: "Marshall Islands",
    key: "mh",
    flag: "mh"
  },
  { text: "Martinique", value: "Martinique", key: "mq", flag: "mq" },
  { text: "Mauritania", value: "Mauritania", key: "mr", flag: "mr" },
  { text: "Mauritius", value: "Mauritius", key: "mu", flag: "mu" },
  { text: "Mayotte", value: "Mayotte", key: "yt", flag: "yt" },
  { text: "Mexico", value: "Mexico", key: "mx", flag: "mx" },
  { text: "Micronesia", value: "Micronesia", key: "fm", flag: "fm" },
  { text: "Moldova", value: "Moldova", key: "md", flag: "md" },
  { text: "Monaco", value: "Monaco", key: "mc", flag: "mc" },
  { text: "Mongolia", value: "Mongolia", key: "mn", flag: "mn" },
  { text: "Montenegro", value: "Montenegro", key: "me", flag: "me" },
  { text: "Montserrat", value: "Montserrat", key: "ms", flag: "ms" },
  { text: "Morocco", value: "Morocco", key: "ma", flag: "ma" },
  { text: "Mozambique", value: "Mozambique", key: "mz", flag: "mz" },
  { text: "Namibia", value: "Namibia", key: "na", flag: "na" },
  { text: "Nauru", value: "Nauru", key: "nr", flag: "nr" },
  { text: "Nepal", value: "Nepal", key: "np", flag: "np" },
  { text: "Netherlands", value: "Netherlands", key: "nl", flag: "nl" },
  {
    text: "Netherlandsantilles",
    value: "Netherlandsantilles",
    key: "an",
    flag: "an"
  },
  { text: "New Caledonia", value: "New Caledonia", key: "nc", flag: "nc" },
  { text: "New Guinea", value: "New Guinea", key: "pg", flag: "pg" },
  { text: "New Zealand", value: "New Zealand", key: "nz", flag: "nz" },
  { text: "Nicaragua", value: "Nicaragua", key: "ni", flag: "ni" },
  { text: "Niger", value: "Niger", key: "ne", flag: "ne" },
  { text: "Nigeria", value: "Nigeria", key: "ng", flag: "ng" },
  { text: "Niue", value: "Niue", key: "nu", flag: "nu" },
  { text: "Norfolk Island", value: "Norfolk Island", key: "nf", flag: "nf" },
  { text: "North Korea", value: "North Korea", key: "kp", flag: "kp" },
  {
    text: "Northern Mariana Islands",
    value: "Northern Mariana Islands",
    key: "mp",
    flag: "mp"
  },
  { text: "Norway", value: "Norway", key: "no", flag: "no" },
  { text: "Oman", value: "Oman", key: "om", flag: "om" },
  { text: "Pakistan", value: "Pakistan", key: "pk", flag: "pk" },
  { text: "Palau", value: "Palau", key: "pw", flag: "pw" },
  { text: "Palestine", value: "Palestine", key: "ps", flag: "ps" },
  { text: "Panama", value: "Panama", key: "pa", flag: "pa" },
  { text: "Paraguay", value: "Paraguay", key: "py", flag: "py" },
  { text: "Peru", value: "Peru", key: "pe", flag: "pe" },
  { text: "Philippines", value: "Philippines", key: "ph", flag: "ph" },
  {
    text: "Pitcairn Islands",
    value: "Pitcairn Islands",
    key: "pn",
    flag: "pn"
  },
  { text: "Poland", value: "Poland", key: "pl", flag: "pl" },
  { text: "Portugal", value: "Portugal", key: "pt", flag: "pt" },
  { text: "Puerto Rico", value: "Puerto Rico", key: "pr", flag: "pr" },
  { text: "Qatar", value: "Qatar", key: "qa", flag: "qa" },
  { text: "Reunion", value: "Reunion", key: "re", flag: "re" },
  { text: "Romania", value: "Romania", key: "ro", flag: "ro" },
  { text: "Russia", value: "Russia", key: "ru", flag: "ru" },
  { text: "Rwanda", value: "Rwanda", key: "rw", flag: "rw" },
  { text: "Saint Helena", value: "Saint Helena", key: "sh", flag: "sh" },
  {
    text: "Saint Kitts and Nevis",
    value: "Saint Kitts and Nevis",
    key: "kn",
    flag: "kn"
  },
  { text: "Saint Lucia", value: "Saint Lucia", key: "lc", flag: "lc" },
  { text: "Saint Pierre", value: "Saint Pierre", key: "pm", flag: "pm" },
  { text: "Saint Vincent", value: "Saint Vincent", key: "vc", flag: "vc" },
  { text: "Samoa", value: "Samoa", key: "ws", flag: "ws" },
  { text: "San Marino", value: "San Marino", key: "sm", flag: "sm" },
  {
    text: "Sandwich Islands",
    value: "Sandwich Islands",
    key: "gs",
    flag: "gs"
  },
  { text: "Sao Tome", value: "Sao Tome", key: "st", flag: "st" },
  { text: "Saudi Arabia", value: "Saudi Arabia", key: "sa", flag: "sa" },
  { text: "Scotland", value: "Scotland", key: "gb", flag: "gb sct" },
  { text: "Senegal", value: "Senegal", key: "sn", flag: "sn" },
  { text: "Serbia", value: "Serbia", key: "cs", flag: "cs" },
  { text: "Serbia", value: "Serbia", key: "rs", flag: "rs" },
  { text: "Seychelles", value: "Seychelles", key: "sc", flag: "sc" },
  { text: "Sierra Leone", value: "Sierra Leone", key: "sl", flag: "sl" },
  { text: "Singapore", value: "Singapore", key: "sg", flag: "sg" },
  { text: "Slovakia", value: "Slovakia", key: "sk", flag: "sk" },
  { text: "Slovenia", value: "Slovenia", key: "si", flag: "si" },
  { text: "Solomon Islands", value: "Solomon Islands", key: "sb", flag: "sb" },
  { text: "Somalia", value: "Somalia", key: "so", flag: "so" },
  { text: "South Africa", value: "South Africa", key: "za", flag: "za" },
  { text: "South Korea", value: "South Korea", key: "kr", flag: "kr" },
  { text: "Spain", value: "Spain", key: "es", flag: "es" },
  { text: "Sri Lanka", value: "Sri Lanka", key: "lk", flag: "lk" },
  { text: "Sudan", value: "Sudan", key: "sd", flag: "sd" },
  { text: "Suritext", value: "Suritext", key: "sr", flag: "sr" },
  { text: "Swaziland", value: "Swaziland", key: "sz", flag: "sz" },
  { text: "Sweden", value: "Sweden", key: "se", flag: "se" },
  { text: "Switzerland", value: "Switzerland", key: "ch", flag: "ch" },
  { text: "Syria", value: "Syria", key: "sy", flag: "sy" },
  { text: "Taiwan", value: "Taiwan", key: "tw", flag: "tw" },
  { text: "Tajikistan", value: "Tajikistan", key: "tj", flag: "tj" },
  { text: "Tanzania", value: "Tanzania", key: "tz", flag: "tz" },
  { text: "Thailand", value: "Thailand", key: "th", flag: "th" },
  { text: "Timorleste", value: "Timorleste", key: "tl", flag: "tl" },
  { text: "Togo", value: "Togo", key: "tg", flag: "tg" },
  { text: "Tokelau", value: "Tokelau", key: "tk", flag: "tk" },
  { text: "Tonga", value: "Tonga", key: "to", flag: "to" },
  { text: "Trinidad", value: "Trinidad", key: "tt", flag: "tt" },
  { text: "Tunisia", value: "Tunisia", key: "tn", flag: "tn" },
  { text: "Turkey", value: "Turkey", key: "tr", flag: "tr" },
  { text: "Turkmenistan", value: "Turkmenistan", key: "tm", flag: "tm" },
  { text: "Tuvalu", value: "Tuvalu", key: "tv", flag: "tv" },
  {
    text: "U.A.E.",
    value: "U.A.E.",
    key: "ae",
    flag: "ae",
    alias: "United Arab Emirates"
  },
  { text: "Uganda", value: "Uganda", key: "ug", flag: "ug" },
  { text: "Ukraine", value: "Ukraine", key: "ua", flag: "ua" },
  {
    text: "United Kingdom",
    value: "United Kingdom",
    key: "gb",
    flag: "gb",
    alias: "uk"
  },
  {
    text: "United States",
    value: "United States",
    key: "us",
    flag: "us",
    alias: "America"
  },
  { text: "Uruguay", value: "Uruguay", key: "uy", flag: "uy" },
  {
    text: "US Minor Islands",
    value: "US Minor Islands",
    key: "um",
    flag: "um"
  },
  {
    text: "US Virgin Islands",
    value: "US Virgin Islands",
    key: "vi",
    flag: "vi"
  },
  { text: "Uzbekistan", value: "Uzbekistan", key: "uz", flag: "uz" },
  { text: "Vanuatu", value: "Vanuatu", key: "vu", flag: "vu" },
  { text: "Vatican City", value: "Vatican City", key: "va", flag: "va" },
  { text: "Venezuela", value: "Venezuela", key: "ve", flag: "ve" },
  { text: "Vietnam", value: "Vietnam", key: "vn", flag: "vn" },
  { text: "Wales", value: "Wales", key: "gb", flag: "gb wls" },
  {
    text: "Wallis and Futuna",
    value: "Wallis and Futuna",
    key: "wf",
    flag: "wf"
  },
  { text: "Western Sahara", value: "Western Sahara", key: "eh", flag: "eh" },
  { text: "Yemen", value: "Yemen", key: "ye", flag: "ye" },
  { text: "Zambia", value: "Zambia", key: "zm", flag: "zm" },
  { text: "Zimbabwe", value: "Zimbabwe", key: "zw", flag: "zw" }
];

export const Flags = () => (
  <Dropdown
    placeholder="Select Country"
    fluid
    search
    selection
    options={countryOptions}
  />
);

export default Flags;
